apiVersion: apps/v1
kind: Deployment
metadata:
  name: portfolio-app
  labels:
    environment: development
spec:
  replicas: 1
  template:
    spec:
      containers:
        - name: portfolio-app
          resources:
            requests:
              memory: "50Mi"
              cpu: "30m"
            limits:
              memory: "120Mi"
